The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Intel Microprocessors: information disclosure via Lazy FP State Restore

Synthesis of the vulnerability 

An attacker can bypass access restrictions to data via Lazy FP State Restore of Intel Microprocessors, in order to obtain sensitive information.
Impacted systems: Mac OS X, XenServer, Debian, BIG-IP Hardware, TMOS, Fedora, FortiAnalyzer, FortiGate, FortiManager, FortiOS, FreeBSD, QRadar SIEM, Junos Space, Linux, Windows 10, Windows 2008 R0, Windows 2008 R2, Windows 2012, Windows 2016, Windows 7, Windows 8, Windows RT, OpenBSD, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu, Xen.
Severity of this alert: 2/4.
Creation date: 14/06/2018.
Références of this alert: ADV180016, CERTFR-2018-AVI-290, CERTFR-2018-AVI-292, CERTFR-2018-AVI-295, CERTFR-2018-AVI-296, CERTFR-2018-AVI-299, CERTFR-2018-AVI-301, CERTFR-2018-AVI-308, CERTFR-2018-AVI-312, CERTFR-2018-AVI-319, CERTFR-2018-AVI-321, CERTFR-2018-AVI-330, CERTFR-2018-AVI-584, CTX235745, CVE-2018-3665, DLA-1422-1, DLA-1422-2, DSA-4232-1, FEDORA-2018-d3cb6f113c, FG-IR-18-002, FreeBSD-SA-18:07.lazyfpu, HT208937, ibm10742755, INTEL-SA-00145, JSA10917, K21344224, openSUSE-SU-2018:1773-1, openSUSE-SU-2018:2116-1, openSUSE-SU-2018:2211-1, RHSA-2018:1852-01, RHSA-2018:1944-01, RHSA-2018:2164-01, RHSA-2018:2165-01, RHSA-2019:1170-01, RHSA-2019:1190-01, SUSE-SU-2018:1761-1, SUSE-SU-2018:1762-1, SUSE-SU-2018:1772-1, SUSE-SU-2018:1816-1, SUSE-SU-2018:1821-1, SUSE-SU-2018:1846-1, SUSE-SU-2018:1849-1, SUSE-SU-2018:1855-1, SUSE-SU-2018:1981-1, SUSE-SU-2018:2037-1, SUSE-SU-2018:2056-1, SUSE-SU-2018:2059-1, SUSE-SU-2018:2069-1, SUSE-SU-2018:2081-1, SUSE-SU-2018:2528-1, Synology-SA-18:31, USN-3696-1, USN-3696-2, USN-3698-1, USN-3698-2, VIGILANCE-VUL-26423, XSA-267.

Description of the vulnerability 

An attacker can bypass access restrictions to data via Lazy FP State Restore of Intel Microprocessors, in order to obtain sensitive information.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability impacts software or systems such as Mac OS X, XenServer, Debian, BIG-IP Hardware, TMOS, Fedora, FortiAnalyzer, FortiGate, FortiManager, FortiOS, FreeBSD, QRadar SIEM, Junos Space, Linux, Windows 10, Windows 2008 R0, Windows 2008 R2, Windows 2012, Windows 2016, Windows 7, Windows 8, Windows RT, OpenBSD, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu, Xen.

Our Vigil@nce team determined that the severity of this security announce is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer vulnerability note.

Solutions for this threat 

A10 ACOS: fixed versions for Intel.
Fixed versions are indicated in information sources.

Apple macOS: version 10.13.6.
The version 10.13.6 is fixed:
  https://support.apple.com/

Citrix XenServer: patch for Lazy FP State Restore.
A patch is indicated in information sources.

Debian 8: new linux packages (16/07/2018).
New packages are available:
  Debian 8: linux 3.16.57-2

Debian 9: new xen packages.
New packages are available:
  Debian 9: xen 4.8.3+xsa267+shim4.10.1+xsa267-1+deb9u8

F5 BIG-IP: solution for Lazy FP State Restore.
The solution is indicated in information sources.

Fedora 28: new xen packages.
New packages are available:
  Fedora 28: xen 4.10.1-4.fc28

Fortinet: solution for Meltdown/Spectre.
Fixed versions are indicated in information sources.

FreeBSD: patch for Lazy FP State Restore.
A patch is available:
  https://security.FreeBSD.org/patches/SA-18:07/lazyfpu-11.patch

IBM QRadar SIEM: patch for Linux.
A patch is indicated in information sources.

Junos Space: version 18.3R1.
The version 18.3R1 is fixed.

Linux kernel: version 3.16.58.
The version 3.16.58 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

OpenBSD: patch for Lazy FP State Restore.
A patch is indicated in information sources.

openSUSE Leap 15.0: new xen packages.
New packages are available:
  openSUSE Leap 15.0: xen 4.10.1_06-lp150.2.6.1

openSUSE Leap 42.3: new kernel packages (22/06/2018).
New packages are available:
  openSUSE Leap 42.3: kernel 4.4.138-59.1

openSUSE Leap 42.3: new xen packages.
New packages are available:
  openSUSE Leap 42.3: xen 4.9.2_08-25.2

RHEL 6.2: new kernel-rt packages.
New packages are available:
  RHEL 6: kernel-rt 3.10.0-693.47.2.rt56.641.el6rt

RHEL 6: new kernel packages (11/07/2018).
New packages are available:
  RHEL 6: kernel 2.6.32-754.2.1.el6

RHEL 6: new kernel-rt packages.
New packages are available:
  RHEL 6: kernel-rt 3.10.0-693.35.1.rt56.625.el6rt

RHEL 7.4: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-693.47.2.el7

RHEL 7: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-862.3.3.el7

RHEL 7: new kernel-rt packages.
New packages are available:
  RHEL 7: kernel-rt 3.10.0-862.3.3.rt56.809.el7

SUSE LE 11 SP3: new kernel packages.
New packages are available:
  SUSE LE 11 SP3: kernel 3.0.101-0.47.106.35.1

SUSE LE 11 SP3: new xen packages (27/08/2018).
New packages are available:
  SUSE LE 11 SP3: xen 4.2.5_21-45.25.1

SUSE LE 11 SP4: new kernel packages.
New packages are available:
  SUSE LE 11 SP4: kernel 3.0.101-108.57.1

SUSE LE 11 SP4: new kernel-rt packages.
New packages are available:
  SUSE LE 11 SP4: kernel-rt 3.0.101.rt130-69.27.1

SUSE LE 11 SP4: new xen packages.
New packages are available:
  SUSE LE 11 SP4: xen 4.4.4_34-61.32.1

SUSE LE 12 RTM: new kernel packages.
New packages are available:
  SUSE LE 12 RTM: kernel 3.12.61-52.136.1

SUSE LE 12 RTM: new xen packages.
New packages are available:
  SUSE LE 12 RTM: xen 4.4.4_34-22.71.2

SUSE LE 12 SP1: new kernel packages.
New packages are available:
  SUSE LE 12 SP1: kernel 3.12.74-60.64.96.1

SUSE LE 12 SP1: new xen packages.
New packages are available:
  SUSE LE 12 SP1: xen 4.5.5_24-22.52.3

SUSE LE 12 SP2: new kernel packages.
New packages are available:
  SUSE LE 12 SP2: kernel 4.4.121-92.85.1

SUSE LE 12 SP2: new xen packages.
New packages are available:
  SUSE LE 12 SP2: xen 4.7.6_02-43.36.1

SUSE LE 12 SP3: new kernel packages.
New packages are available:
  SUSE LE 12 SP3: kernel 4.4.138-94.39.1

SUSE LE 12 SP3: new kernel-rt packages (27/06/2018).
New packages are available:
  SUSE LE 12 SP3: kernel-rt 4.4.138-3.14.1

SUSE LE 12 SP3: new xen packages.
New packages are available:
  SUSE LE 12 SP3: xen 4.9.2_08-3.35.2

SUSE LE 15: new xen packages.
New packages are available:
  SUSE LE 15 RTM: xen 4.10.1_06-3.3.1

Ubuntu: new linux-image-3.13.0 packages.
New packages are available:
  Ubuntu 12.04 ESM: linux-image-generic-lts-trusty 3.13.0.153.143
  Ubuntu 14.04 LTS: linux-image-generic 3.13.0.153.163

Ubuntu: new linux-image-4.4.0 packages.
New packages are available:
  Ubuntu 14.04 LTS: linux-image-generic-lts-xenial 4.4.0.130.110
  Ubuntu 16.04 LTS: linux-image-generic 4.4.0.130.136

Xen: patch for Lazy FP State Restore.
A patch is available:
  http://xenbits.xen.org/xsa/xsa267-1.patch
  http://xenbits.xen.org/xsa/xsa267-2.patch
  http://xenbits.xen.org/xsa/xsa267-4.6-1.patch
  http://xenbits.xen.org/xsa/xsa267-4.6-2.patch
  http://xenbits.xen.org/xsa/xsa267-4.7-1.patch
  http://xenbits.xen.org/xsa/xsa267-4.7-2.patch
  http://xenbits.xen.org/xsa/xsa267-4.8-livepatch.patch
  http://xenbits.xen.org/xsa/xsa267-4.9-1.patch
  http://xenbits.xen.org/xsa/xsa267-4.9-2.patch
  http://xenbits.xen.org/xsa/xsa267-4.10-1.patch
  http://xenbits.xen.org/xsa/xsa267-4.10-2.patch
  http://xenbits.xen.org/xsa/xsa267-livepatch.patch
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerabilities bulletin. The technology watch team tracks security threats targeting the computer system.